umbrello: PackageContentsPage Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Slots | Public Member Functions | Private Member Functions | Private Attributes | List of all members
PackageContentsPage Class Reference

The page shows all the objects that belong to a UMLPackage. More...

`#include <packagecontentspage.h>`

Inheritance diagram for PackageContentsPage:

## Public Slots
void | slotDoubleClick (QListWidgetItem *item)
void | slotShowContextMenu (const QPoint &)
void | slotMenuSelection (QAction *action)

## Public Member Functions
| PackageContentsPage (QWidget *parent, UMLPackage *pkg)
| ~PackageContentsPage ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Private Member Functions
void | fillListBox ()

## Private Attributes
UMLPackage * | m_package
QListWidget * | m_contentLW
QGroupBox * | m_contentGB

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

The page shows all the objects that belong to a UMLPackage.

Author
  Oliver Kellogg okell.nosp@m.ogg@.nosp@m.users.nosp@m..sou.nosp@m.rcefo.nosp@m.rge..nosp@m.net Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ PackageContentsPage()

PackageContentsPage::PackageContentsPage | ( | QWidget * | parent,
|  | UMLPackage * | pkg
| ) |  |

Constructs an instance of PackageContentsPage.

Parameters

  parent | The parent of the page.
  pkg | The UMLPackage being represented.

## ◆ ~PackageContentsPage()

PackageContentsPage::~PackageContentsPage | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ fillListBox()

void PackageContentsPage::fillListBox | ( |  | ) |
| private

Fills the list box with the package's contents.

## ◆ slotDoubleClick

void PackageContentsPage::slotDoubleClick | ( | QListWidgetItem * | item | ) |
| slot

## ◆ slotMenuSelection

void PackageContentsPage::slotMenuSelection | ( | QAction * | action | ) |
| slot

## ◆ slotShowContextMenu

void PackageContentsPage::slotShowContextMenu | ( | const QPoint & | p | ) |
| slot

Slot for the context menu by right clicking in the list widget.

Parameters

  p | point of the right click inside the list widget

## Member Data Documentation

## ◆ m_contentGB

QGroupBox* PackageContentsPage::m_contentGB
| private

## ◆ m_contentLW

QListWidget* PackageContentsPage::m_contentLW
| private

## ◆ m_package

UMLPackage* PackageContentsPage::m_package
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/packagecontentspage.h
- umbrello/dialogs/pages/packagecontentspage.cpp